SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001469SiT!incidentspublic2011-02-20 20:202011-06-17 15:31
Reporternicdev 
Assigned Toivan 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001469: Add plugin_do to incident_html_top.inc to extend the menu and add id's to the html tags
DescriptionIn the include "incident_html_top.inc" we require a plugin to add an item to the top menu around line 362. This will enable us to add pages to the incident window like escalations. Also the same incluse file does not have id's assigned to the html tags.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0003621)
paulh (administrator)
2011-02-20 20:27

Hi Nico,

You don't need a plugin_do to extend the menu, you can just add items to the $hemnu array e.g.

$hmenu[60][] = array ( 'perm'=> 37, 'name'=> "OUR Reports", 'url'=>"", 'submenu'=>"6099");
$hmenu[6099][] = array ( 'perm'=> 67, 'name'=> "Sick day report", 'url'=>"{$CONFIG['application_webpath']}plugins/our_reports/sickdays.php", 'submenu'=>"0");
$hmenu[6099][] = array ( 'perm'=> 37, 'name'=> "Proforma Invoices", 'url'=>"{$CONFIG['application_webpath']}plugins/our_reports/proforma_invoice_csv.php", 'submenu'=>"0");

In your plugin file
User avatar (0003622)
ivan (administrator)
2011-02-20 20:32

this is the popup window menu which doesn't use that array. so I think a plugin hook is needed for this.
User avatar (0003623)
ivan (administrator)
2011-02-20 20:39

the context 'html_head' got added in 3.90 - is this sufficient?
User avatar (0003644)
nicdev (developer)
2011-02-23 14:33

Ivan, just had a look ... that hook is not really in a good plaec, maybe we can add one just before line 261:

echo "</div>";

This way we can add another item to the barlink.

plugin_do('incident_top_barlink');

thanks
User avatar (0003645)
ivan (administrator)
2011-02-23 14:36

Since this is specifically to extend the menu, I'm going to hold off for now if you don't mind until we've decided what we're doing with the menus for v3.90. See the discussion on the sit-devel-discuss mailing list if you want to add your voice.
User avatar (0003658)
ivan (administrator)
2011-02-28 10:32

for 'plugin_extended_escalations' .. not published yet .. it's in svn though
User avatar (0004034)
ivan (administrator)
2011-06-17 15:31

Git c0cea8f: add a plugin hook 'incident_details_menu' for adding items to the incident details menu. Fixes Mantis 1469 -- /home/ivan/src/ericthefish-sit/inc/incident_html_top.inc.php

- Issue History
Date Modified Username Field Change
2011-02-20 20:20 nicdev New Issue
2011-02-20 20:27 paulh Note Added: 0003621
2011-02-20 20:27 paulh Assigned To => nicdev
2011-02-20 20:27 paulh Status new => feedback
2011-02-20 20:32 ivan Note Added: 0003622
2011-02-20 20:39 ivan Note Added: 0003623
2011-02-23 14:33 nicdev Note Added: 0003644
2011-02-23 14:33 nicdev Status feedback => assigned
2011-02-23 14:34 nicdev Assigned To nicdev => ivan
2011-02-23 14:36 ivan Note Added: 0003645
2011-02-28 10:32 ivan Note Added: 0003658
2011-04-08 14:38 ivan Target Version => 3.90beta1
2011-06-03 22:49 ivan Severity minor => feature
2011-06-17 15:31 ivan Note Added: 0004034
2011-06-17 15:31 ivan Status assigned => resolved
2011-06-17 15:31 ivan Fixed in Version => Current GIT
2011-06-17 15:31 ivan Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker